Bug 108622 - Suggested resolutions: not consistent
Suggested resolutions: not consistent
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 14:13 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 05:38:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-10-30 14:13:58 EST
Description of problem:

rpm does not consistently produce Suggested resolutions:

I do not have either the Xbae package or the unixODBC package installed.

When I tried:

rpm -Uvh Xbae-devel-4.50.0-5.i386.rpm

I get:

error: Failed dependencies:
        Xbae = 4.50.0 is needed by Xbae-devel-4.50.0-5

However, when I do:

rpm -Uvh unixODBC-devel-2.2.5-2.i386.rpm

I get:

error: Failed dependencies:
        unixODBC = 2.2.5 is needed by unixODBC-devel-2.2.5-2
    Suggested resolutions:
        unixODBC-2.2.5-9.i386.rpm

Shouldn't I get "Suggested resolutions:" in both cases?

Version-Release number of selected component (if applicable):
Fedora Core 1 test 3 plus all available rawhide updates as of 30 October 2003.
Comment 1 Jeff Johnson 2004-01-26 05:38:50 EST
Suggestions are taken from the rpmdb-foo pkg, and
are as good or bad as what is within that rpmdb.

Yes, I would expect suggestions on both, the code paths
traveled are identical.

Note You need to log in before you can comment on or make changes to this bug.